diff -rup ati-10.10.orig/packages/SuSE/x740_64a.SUSE111-AMD64.spec ati-10.10/packages/SuSE/x740_64a.SUSE111-AMD64.spec
--- ati-10.10.orig/packages/SuSE/x740_64a.SUSE111-AMD64.spec	2010-10-19 23:41:22.000000000 +0200
+++ ati-10.10/packages/SuSE/x740_64a.SUSE111-AMD64.spec	2010-10-27 02:41:58.983018801 +0200
@@ -18,12 +18,10 @@ BuildRoot: %ATI_DRIVER_BUILD_ROOT
 %if %suse_version > 1010
 %define MODULES_DIR       /usr/%{_lib}/xorg/modules
 %define DRI_DRIVERS_DIR   /usr/%{_lib}/dri
-%define DRI_DRIVERS32_DIR /usr/lib/dri
 %define X11_INCLUDE_DIR   /usr/include/X11
 %else
 %define MODULES_DIR       /usr/X11R6/%{_lib}/modules
 %define DRI_DRIVERS_DIR   /usr/X11R6/%{_lib}/modules/dri
-%define DRI_DRIVERS32_DIR /usr/X11R6/lib/modules/dri
 %define X11_INCLUDE_DIR   /usr/X11R6/include/X11
 %endif
 
@@ -50,18 +48,11 @@ mv $tmpdir/fglrx/suse/* $RPM_SOURCE_DIR
 #
 mkdir -p $RPM_BUILD_ROOT/usr/bin \
          $RPM_BUILD_ROOT%{X11_INCLUDE_DIR}/extensions \
-%ifarch x86_64
-         $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR} \
-%endif
          $RPM_BUILD_ROOT%{MODULES_DIR}/{linux,drivers,extensions} \
          $RPM_BUILD_ROOT%{MODULES_DIR}/updates/extensions \
          $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR} \
          $RPM_BUILD_ROOT/usr/include/GL \
          $RPM_BUILD_ROOT/usr/X11R6/%{_lib} \
-%ifarch x86_64
-         $RPM_BUILD_ROOT/usr/X11R6/lib \
-         $RPM_BUILD_ROOT/usr/lib \
-%endif
          $RPM_BUILD_ROOT/usr/%{_lib}/fglrx/lib \
          $RPM_BUILD_ROOT/usr/share/doc/packages/fglrx \
          $RPM_BUILD_ROOT/usr/share/pixmaps \
@@ -104,39 +95,29 @@ pushd $tmpdir/fglrx
 %ifarch x86_64
   test -f usr/X11R6/lib/modules/dri/fglrx_dri.so && \
   ( mv usr/X11R6/lib/modules/dri/fglrx_dri.so .
-    install -m 444 fglrx_dri.so          $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}
     rm fglrx_dri.so 
   )
   mv usr/X11R6/lib/libGL.so.1.2 .
-  install -m 755 libGL.so.1.2            $RPM_BUILD_ROOT/usr/X11R6/lib
-  ln -snf libGL.so.1.2                   $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so.1 
-  ln -snf libGL.so.1                     $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so
   rm libGL.so.1.2
   mv usr/X11R6/lib/libfglrx*.a .
-  install -m 644 libfglrx*.a             $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.a 
   mv usr/X11R6/lib/libfglrx*.so* .
-  install -m 755 libfglrx*.so*           $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.so*
   if [ -f usr/X11R6/lib/libatiadlxx.so ]; then
     mv usr/X11R6/lib/libatiadlxx.so .
-    install -m 755 libatiadlxx.so          $RPM_BUILD_ROOT/usr/lib
     rm libatiadlxx.so
   fi
   for file in libAMDXvBA.cap libAMDXvBA.so.1.0 libXvBAW.so.1.0; do
     if [ -f usr/X11R6/lib/$file ]; then
       mv usr/X11R6/lib/$file .
-      install -m 755 $file                 $RPM_BUILD_ROOT/usr/lib
       rm $file
     fi
   done
   for file in libaticaldd.so libaticalrt.so libaticalcl.so; do
     mv usr/lib/$file .
-    install -m 755 $file                   $RPM_BUILD_ROOT/usr/lib
     rm $file
   done
   mv usr/lib/libatiuki.so.1.0 .
-  install -m 755 libatiuki.so.1.0	   $RPM_BUILD_ROOT/usr/lib
   rm libatiuki.so.1.0
 %endif
   for i in `find . -type f`; do mv --backup $i .; done
@@ -305,11 +286,6 @@ fi
 if [ -f $RPM_BUILD_ROOT/%{MODULES_DIR}/updates/extensions/libglx.so ]; then
   echo "%{MODULES_DIR}/updates/extensions/libglx.so" >> files.fglrx
 fi
-%ifarch x86_64
-if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}/fglrx_dri.so ]; then
-  echo "%{DRI_DRIVERS32_DIR}/fglrx_dri.so" >> files.fglrx
-fi
-%endif
 if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR}/fglrx_dri.so ]; then
   echo "%{DRI_DRIVERS_DIR}/fglrx_dri.so" >> files.fglrx
 fi
@@ -413,12 +389,6 @@ exit 0
 /etc/security/console.apps/amdcccle-su
 /usr/include/GL/glxATI.h
 /usr/include/GL/glATI.h
-%ifarch x86_64
-/usr/lib/*
-/usr/X11R6/lib/libGL.so
-/usr/X11R6/lib/libGL.so.1
-/usr/X11R6/lib/libGL.so.1.2
-%endif
 /usr/%{_lib}/libatiadlxx.so
 /usr/%{_lib}/libatiuki.so.1.0
 %ifarch %ix86
diff -rup ati-10.10.orig/packages/SuSE/x740_64a.SUSE112-AMD64.spec ati-10.10/packages/SuSE/x740_64a.SUSE112-AMD64.spec
--- ati-10.10.orig/packages/SuSE/x740_64a.SUSE112-AMD64.spec	2010-10-19 23:41:22.000000000 +0200
+++ ati-10.10/packages/SuSE/x740_64a.SUSE112-AMD64.spec	2010-10-27 02:41:28.908394251 +0200
@@ -18,12 +18,10 @@ BuildRoot: %ATI_DRIVER_BUILD_ROOT
 %if %suse_version > 1010
 %define MODULES_DIR       /usr/%{_lib}/xorg/modules
 %define DRI_DRIVERS_DIR   /usr/%{_lib}/dri
-%define DRI_DRIVERS32_DIR /usr/lib/dri
 %define X11_INCLUDE_DIR   /usr/include/X11
 %else
 %define MODULES_DIR       /usr/X11R6/%{_lib}/modules
 %define DRI_DRIVERS_DIR   /usr/X11R6/%{_lib}/modules/dri
-%define DRI_DRIVERS32_DIR /usr/X11R6/lib/modules/dri
 %define X11_INCLUDE_DIR   /usr/X11R6/include/X11
 %endif
 
@@ -50,18 +48,11 @@ mv $tmpdir/fglrx/suse/* $RPM_SOURCE_DIR
 #
 mkdir -p $RPM_BUILD_ROOT/usr/bin \
          $RPM_BUILD_ROOT%{X11_INCLUDE_DIR}/extensions \
-%ifarch x86_64
-         $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR} \
-%endif
          $RPM_BUILD_ROOT%{MODULES_DIR}/{linux,drivers,extensions} \
          $RPM_BUILD_ROOT%{MODULES_DIR}/updates/extensions \
          $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR} \
          $RPM_BUILD_ROOT/usr/include/GL \
          $RPM_BUILD_ROOT/usr/X11R6/%{_lib} \
-%ifarch x86_64
-         $RPM_BUILD_ROOT/usr/X11R6/lib \
-         $RPM_BUILD_ROOT/usr/lib \
-%endif
          $RPM_BUILD_ROOT/usr/%{_lib}/fglrx/lib \
          $RPM_BUILD_ROOT/usr/share/doc/packages/fglrx \
          $RPM_BUILD_ROOT/usr/share/pixmaps \
@@ -104,39 +95,29 @@ pushd $tmpdir/fglrx
 %ifarch x86_64
   test -f usr/X11R6/lib/modules/dri/fglrx_dri.so && \
   ( mv usr/X11R6/lib/modules/dri/fglrx_dri.so .
-    install -m 444 fglrx_dri.so          $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}
     rm fglrx_dri.so 
   )
   mv usr/X11R6/lib/libGL.so.1.2 .
-  install -m 755 libGL.so.1.2            $RPM_BUILD_ROOT/usr/X11R6/lib
-  ln -snf libGL.so.1.2                   $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so.1 
-  ln -snf libGL.so.1                     $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so
   rm libGL.so.1.2
   mv usr/X11R6/lib/libfglrx*.a .
-  install -m 644 libfglrx*.a             $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.a 
   mv usr/X11R6/lib/libfglrx*.so* .
-  install -m 755 libfglrx*.so*           $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.so*
   if [ -f usr/X11R6/lib/libatiadlxx.so ]; then
     mv usr/X11R6/lib/libatiadlxx.so .
-    install -m 755 libatiadlxx.so          $RPM_BUILD_ROOT/usr/lib
     rm libatiadlxx.so
   fi
   for file in libAMDXvBA.cap libAMDXvBA.so.1.0 libXvBAW.so.1.0; do
     if [ -f usr/X11R6/lib/$file ]; then
       mv usr/X11R6/lib/$file .
-      install -m 755 $file                 $RPM_BUILD_ROOT/usr/lib
       rm $file
     fi
   done
   for file in libaticaldd.so libaticalrt.so libaticalcl.so; do
     mv usr/lib/$file .
-    install -m 755 $file                   $RPM_BUILD_ROOT/usr/lib
     rm $file
   done
   mv usr/lib/libatiuki.so.1.0 .
-  install -m 755 libatiuki.so.1.0	   $RPM_BUILD_ROOT/usr/lib
   rm libatiuki.so.1.0
 %endif
   for i in `find . -type f`; do mv --backup $i .; done
@@ -305,11 +286,6 @@ fi
 if [ -f $RPM_BUILD_ROOT/%{MODULES_DIR}/updates/extensions/libglx.so ]; then
   echo "%{MODULES_DIR}/updates/extensions/libglx.so" >> files.fglrx
 fi
-%ifarch x86_64
-if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}/fglrx_dri.so ]; then
-  echo "%{DRI_DRIVERS32_DIR}/fglrx_dri.so" >> files.fglrx
-fi
-%endif
 if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR}/fglrx_dri.so ]; then
   echo "%{DRI_DRIVERS_DIR}/fglrx_dri.so" >> files.fglrx
 fi
@@ -413,12 +389,6 @@ exit 0
 /etc/security/console.apps/amdcccle-su
 /usr/include/GL/glxATI.h
 /usr/include/GL/glATI.h
-%ifarch x86_64
-/usr/lib/*
-/usr/X11R6/lib/libGL.so
-/usr/X11R6/lib/libGL.so.1
-/usr/X11R6/lib/libGL.so.1.2
-%endif
 /usr/%{_lib}/libatiadlxx.so
 /usr/%{_lib}/libatiuki.so.1.0
 %ifarch %ix86
diff -rup ati-10.10.orig/packages/SuSE/x750_64a.SUSE113-AMD64.spec ati-10.10/packages/SuSE/x750_64a.SUSE113-AMD64.spec
--- ati-10.10.orig/packages/SuSE/x750_64a.SUSE113-AMD64.spec	2010-10-19 23:41:22.000000000 +0200
+++ ati-10.10/packages/SuSE/x750_64a.SUSE113-AMD64.spec	2010-10-27 02:33:26.939148288 +0200
@@ -18,12 +18,10 @@ BuildRoot: %ATI_DRIVER_BUILD_ROOT
 %if %suse_version > 1010
 %define MODULES_DIR       /usr/%{_lib}/xorg/modules
 %define DRI_DRIVERS_DIR   /usr/%{_lib}/dri
-%define DRI_DRIVERS32_DIR /usr/lib/dri
 %define X11_INCLUDE_DIR   /usr/include/X11
 %else
 %define MODULES_DIR       /usr/X11R6/%{_lib}/modules
 %define DRI_DRIVERS_DIR   /usr/X11R6/%{_lib}/modules/dri
-%define DRI_DRIVERS32_DIR /usr/X11R6/lib/modules/dri
 %define X11_INCLUDE_DIR   /usr/X11R6/include/X11
 %endif
 
@@ -50,18 +48,11 @@ mv $tmpdir/fglrx/suse/* $RPM_SOURCE_DIR
 #
 mkdir -p $RPM_BUILD_ROOT/usr/bin \
          $RPM_BUILD_ROOT%{X11_INCLUDE_DIR}/extensions \
-%ifarch x86_64
-         $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR} \
-%endif
          $RPM_BUILD_ROOT%{MODULES_DIR}/{linux,drivers,extensions} \
          $RPM_BUILD_ROOT%{MODULES_DIR}/updates/extensions \
          $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR} \
          $RPM_BUILD_ROOT/usr/include/GL \
          $RPM_BUILD_ROOT/usr/X11R6/%{_lib} \
-%ifarch x86_64
-         $RPM_BUILD_ROOT/usr/X11R6/lib \
-         $RPM_BUILD_ROOT/usr/lib \
-%endif
          $RPM_BUILD_ROOT/usr/%{_lib}/fglrx/lib \
          $RPM_BUILD_ROOT/usr/share/doc/packages/fglrx \
          $RPM_BUILD_ROOT/usr/share/pixmaps \
@@ -104,39 +95,29 @@ pushd $tmpdir/fglrx
 %ifarch x86_64
   test -f usr/X11R6/lib/modules/dri/fglrx_dri.so && \
   ( mv usr/X11R6/lib/modules/dri/fglrx_dri.so .
-    install -m 444 fglrx_dri.so          $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}
     rm fglrx_dri.so 
   )
   mv usr/X11R6/lib/libGL.so.1.2 .
-  install -m 755 libGL.so.1.2            $RPM_BUILD_ROOT/usr/X11R6/lib
-  ln -snf libGL.so.1.2                   $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so.1 
-  ln -snf libGL.so.1                     $RPM_BUILD_ROOT/usr/X11R6/lib/libGL.so
   rm libGL.so.1.2
   mv usr/X11R6/lib/libfglrx*.a .
-  install -m 644 libfglrx*.a             $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.a 
   mv usr/X11R6/lib/libfglrx*.so* .
-  install -m 755 libfglrx*.so*           $RPM_BUILD_ROOT/usr/lib
   rm libfglrx*.so*
   if [ -f usr/X11R6/lib/libatiadlxx.so ]; then
     mv usr/X11R6/lib/libatiadlxx.so .
-    install -m 755 libatiadlxx.so          $RPM_BUILD_ROOT/usr/lib
     rm libatiadlxx.so
   fi
   for file in libAMDXvBA.cap libAMDXvBA.so.1.0 libXvBAW.so.1.0; do
     if [ -f usr/X11R6/lib/$file ]; then
       mv usr/X11R6/lib/$file .
-      install -m 755 $file                 $RPM_BUILD_ROOT/usr/lib
       rm $file
     fi
   done
   for file in libaticaldd.so libaticalrt.so libaticalcl.so; do
     mv usr/lib/$file .
-    install -m 755 $file                   $RPM_BUILD_ROOT/usr/lib
     rm $file
   done
   mv usr/lib/libatiuki.so.1.0 .
-  install -m 755 libatiuki.so.1.0	   $RPM_BUILD_ROOT/usr/lib
   rm libatiuki.so.1.0
 %endif
   for i in `find . -type f`; do mv --backup $i .; done
@@ -305,11 +286,6 @@ fi
 if [ -f $RPM_BUILD_ROOT/%{MODULES_DIR}/updates/extensions/libglx.so ]; then
   echo "%{MODULES_DIR}/updates/extensions/libglx.so" >> files.fglrx
 fi
-%ifarch x86_64
-if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS32_DIR}/fglrx_dri.so ]; then
-  echo "%{DRI_DRIVERS32_DIR}/fglrx_dri.so" >> files.fglrx
-fi
-%endif
 if [ -f $RPM_BUILD_ROOT%{DRI_DRIVERS_DIR}/fglrx_dri.so ]; then
   echo "%{DRI_DRIVERS_DIR}/fglrx_dri.so" >> files.fglrx
 fi
@@ -413,12 +389,6 @@ exit 0
 /etc/security/console.apps/amdcccle-su
 /usr/include/GL/glxATI.h
 /usr/include/GL/glATI.h
-%ifarch x86_64
-/usr/lib/*
-/usr/X11R6/lib/libGL.so
-/usr/X11R6/lib/libGL.so.1
-/usr/X11R6/lib/libGL.so.1.2
-%endif
 /usr/%{_lib}/libatiadlxx.so
 /usr/%{_lib}/libatiuki.so.1.0
 %ifarch %ix86
